-- app-vsersion 2.4.4因增加专辑相关修改数据库
--书架里面的书缓存，新添加专辑信息
alter table "shelf_book_info" rename to "shelf_book_info_temp";
go
create table if not exists shelf_book_info(
    shelf_id text  not null,
    is_buy int,
    mode_time text,
    is_update int,
    update_time datetime DEFAULT 0,
    is_notify int,
	set_top_time datetime DEFAULT 0,
    book_id text,
    book_info_json text,
    update_chapter text,
	last_read_chapter_id text,
    last_read_chapter_update_time long,
	last_read_time_loc datetime ,
	last_read_title text ,
	last_read_pageindex int DEFAULT 0 ,
    drama_id text,
    drama_info_json text,
    last_read_sound_id text,
    last_read_sound_update_time text,
    last_read_sound_title text
)
go
insert into "shelf_book_info" ("shelf_id", "book_id","book_info_json","is_buy","mode_time","is_update","update_time"
,"update_chapter","last_read_chapter_id","last_read_chapter_update_time","is_notify","last_read_time_loc","last_read_title"
,"last_read_pageindex","set_top_time") select "shelf_id", "book_id","book_info","is_buy","mode_time","is_update","update_time"
,"update_chapter","last_read_chapter_id","last_read_chapter_update_time","is_notify","last_read_time_loc","last_read_title"
,"last_read_pageindex","set_top_time" from "shelf_book_info_temp"
go
drop table shelf_book_info_temp
go
--auto_buy添加列--专辑
alter table "auto_buy" rename to "auto_buy_temp";
go
create table if not exists auto_buy(
    reader_id text not null,
    drama_id text,
	book_id text,
	is_tips int
)
go
insert into "auto_buy" ("reader_id", "book_id","is_tips")
select "reader_id", "book_id","is_tips" from "auto_buy_temp"
go
drop table auto_buy_temp
go
--read_history添加列--专辑
alter table "read_history" rename to "read_history_temp";
go
create table if not exists read_history(
    reader_id text not null,
    book_id text,
    book_info_json text,
	mark_chapter_info_json text,
	drama_id text,
	drama_info_json text,
	mark_sound_info_json text,
	read_time text
)
go
insert into "read_history" ("reader_id", "book_id","book_info_json")
select "reader_id", "book_id","book_info" from "read_history_temp"
go
drop table read_history_temp
go